/*
 * Copyright (c) 2004-2006 Weswit s.r.l., Via Campanini, 6 - 20124 Milano, Italy.
 * All rights reserved.
 * www.lightstreamer.com
 *
 * This software is the confidential and proprietary information of
 * Weswit s.r.l.
 * You shall not disclose such Confidential Information and shall use it
 * only in accordance with the terms of the license agreement you entered
 * into with Weswit s.r.l.
 */

using System.Collections;

namespace Nms.Server.Test {

	/// <summary>
	/// Used by the Stock List Adapter to receive data from the simulated broadcast feed in an
	/// asynchronous way, through the OnEvent method.
	/// </summary>
	public interface IExternalFeedListener {
		
		/// <summary>
		/// Called by the feed for each update event occurrence on some stock.
		/// If isSnapshot is true, then the event contains a full snapshot,
		/// with the current values of all fields for the stock.
		/// </summary>
		void OnEvent(string itemName, IDictionary currentValues, bool isSnapshot);
	}

}
